Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.session
Class SimpleSession

    java.lang.Object
      |
      +--org.apache.axis.session.SimpleSession

All Implemented Interfaces:
  Session

public class SimpleSession
extends java.lang.Object
implements Session

A trivial session implementation.

Author:
  Glen Daniels (gdaniels@macromedia.com)

Constructor Summary
`SimpleSession()` Default constructor - set lastTouched to now

Method Summary
`java.lang.Object` | `get(java.lang.String key)` Get a property from the session
`java.util.Enumeration` | `getKeys()` Get an enumeration of the keys in this session
`long` | `getLastAccessTime()`
`int` | `getTimeout()` Return the sessions' time-to-live.
`void` | `remove(java.lang.String key)` Remove a property from the session
`void` | `set(java.lang.String key, java.lang.Object value)` Set a property in the session
`void` | `setTimeout(int timeout)` Set the session's time-to-live.
`void` | `touch()` "Touch" the session (mark it recently used)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSession

    public SimpleSession()

  Default constructor - set lastTouched to now

Method Detail

### get

    public java.lang.Object get(java.lang.String key)

  Get a property from the session
  Specified by:
    `get` in interface `Session`
  Parameters:
    `key` - the name of the property desired.

### set

    public void set(java.lang.String key,
                    java.lang.Object value)

  Set a property in the session
  Specified by:
    `set` in interface `Session`
  Parameters:
    `key` - the name of the property to set.
    `value` - the value of the property.

### remove

    public void remove(java.lang.String key)

  Remove a property from the session
  Specified by:
    `remove` in interface `Session`
  Parameters:
    `key` - the name of the property desired.

### getKeys

    public java.util.Enumeration getKeys()

  Get an enumeration of the keys in this session
  Specified by:
    `getKeys` in interface `Session`

### setTimeout

    public void setTimeout(int timeout)

  Set the session's time-to-live. This is implementation-specific, but basically should be the # of seconds of inactivity which will cause the session to time out and invalidate. "inactivity" is implementation-specific.
  Specified by:
    `setTimeout` in interface `Session`

### getTimeout

    public int getTimeout()

  Description copied from interface: `Session`
  Return the sessions' time-to-live.
  Specified by:
    `getTimeout` in interface `Session`
  Following copied from interface: `org.apache.axis.session.Session`
  Returns:
    the timeout value for this session.

### touch

    public void touch()

  "Touch" the session (mark it recently used)
  Specified by:
    `touch` in interface `Session`

### getLastAccessTime

    public long getLastAccessTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.